cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Newbie
Newbie
879 Views
Registered: ‎06-26-2018

Vivado Design Suite OS and FPGA Compatibility

Jump to solution

I have a couple of quick questions regarding Vivado installation on Ubuntu and its compatibility with the FPGA I am using.

 

1. In the release notes it states that it is compatible with Ubuntu Linux 16.04.2 LTS (64-bit). Is this the only version it is compatible with or will newer versions of Ubuntu work?

 

2. Is Vivando 2017.4 the only free version of this software?

 

3. The FPGA I am trying to use is a Mojo Spartan 6 XC6SLX9 FPGA (9152 logic cells, 576 kbits of RAM) with an IO sheild. Would I be able to use this with Vivado or would I need to use another program?

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Moderator
Moderator
916 Views
Registered: ‎11-04-2010

Re: Vivado Design Suite OS and FPGA Compatibility

Jump to solution

Hi, @coltenb ,

1. In the release notes it states that it is compatible with Ubuntu Linux 16.04.2 LTS (64-bit). Is this the only version it is compatible with or will newer versions of Ubuntu work?

The release note means for 2017.4 only this version of Ubuntu has been tested and verified. Xilinx doesn't assume that Vivado can work properly in the newer versions of Ubantu.  

-------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------

View solution in original post

3 Replies
Highlighted
Scholar
Scholar
871 Views
Registered: ‎08-07-2014

Re: Vivado Design Suite OS and FPGA Compatibility

Jump to solution

@coltenb,

 

2. Is Vivando 2017.4 the only free version of this software?

Any Vivado Webpack is free software. You can download 2016.4, 2017.x (x=1,2,3,4), 2018.1, 2018.2.

 

3. The FPGA I am trying to use is a Mojo Spartan 6 XC6SLX9 FPGA (9152 logic cells, 576 kbits of RAM) with an IO sheild. Would I be able to use this with Vivado or would I need to use another program?

Vivado is only meant to be used with series7 device.

Spartan6 is series 6. So you MUST use ISE software (also free).

--------------------------------------------------------------------------------------------------------
FPGA enthusiast!
All PMs will be ignored
--------------------------------------------------------------------------------------------------------
Highlighted
Guide
Guide
869 Views
Registered: ‎01-23-2009

Re: Vivado Design Suite OS and FPGA Compatibility

Jump to solution

All versions of Vivado (and ISE) are free - you can download and install them with no charge. However, you need a license to run it. There are a couple of kinds of licenses from a free "WebPack" license (which only entitles you to work with smaller FPGAs) up to fuller version paid licenses.

 

That being said, Vivado is only compatible with 7 series and UltraScale/UltraScale+ devices. It is not usable for Spartan-6 devices. For that, you need "ISE". ISE has the same rules - you can download and install for free, but need a license. For this small Spartan-6, the WebPack license should suffice.

 

Avrum

Highlighted
Moderator
Moderator
917 Views
Registered: ‎11-04-2010

Re: Vivado Design Suite OS and FPGA Compatibility

Jump to solution

Hi, @coltenb ,

1. In the release notes it states that it is compatible with Ubuntu Linux 16.04.2 LTS (64-bit). Is this the only version it is compatible with or will newer versions of Ubuntu work?

The release note means for 2017.4 only this version of Ubuntu has been tested and verified. Xilinx doesn't assume that Vivado can work properly in the newer versions of Ubantu.  

-------------------------------------------------------------------------
Don't forget to reply, kudo, and accept as solution.
-------------------------------------------------------------------------

View solution in original post